// $Id: MusicPipe.java,v 1.1 2005/02/22 22:07:41 xi Exp $

/******************************************************************************
*    MusicControl - An advanced music player
*    Copyright (C) 2002-2005  Christian Laursen <xi@borderworlds.dk>
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

package dk.borderworlds;

import java.io.*;

public class MusicPipe implements Runnable {
	private BufferedInputStream stream;
	private Thread musicpiper;

	public MusicPipe (InputStream stream) {
		this.stream = new BufferedInputStream(stream);

		musicpiper = new Thread (this);
		musicpiper.start();
	}

	public void run () {
		boolean cont = true;
		int i;
		byte[] b = new byte[1024];

		while (cont) {
			try {
				i = stream.read(b, 0, 1024);
				if (i > 0) {
					System.out.print(new String (b, 0, i));
				} else if (i == -1) {
					stream.close();
					stream = null;
					cont = false;
				}
			} catch (Exception e) {
				if (e.getClass().getName().equals("java.io.IOException")) {
					stream = null;
					cont = false;
				}

			}
		}
		musicpiper = null;
	}
}
